[CmdLetBinding()]
param
(
    # If .\all.run.ps1 -Interactive is called, the interactive console will be launched inside the container.
    [switch] $Interactive,

    # Same, but without any preparations.
    [switch] $Recovery
)

$ErrorActionPreference = 'Stop'

$name = "frs14all"
$image = "frs14all"
$withLogs = $false
$containerHost = $env:COMPUTERNAME
$switches = @()

# To choose an activation method, uncomment exactly one of the following lines.
# Note: If you choose the SerialNumber method, you must also comment the COPY command at the end of the Dockerfile.
# Note: To find out how to activate your online license on multiple machines/containers with a license token, see this Help page: https://help.abbyy.com/en-us/finereaderserver/14/help/cloudlicense
$switches += @( '-OnlineToken', 'C:\FRS14\token.ABBYY.Token' ) # This is the path inside the container, do not change it
#$switches += @( '-SerialNumber', '<put your serial number without hyphens here>' )


if ($Interactive -or $Recovery) { $mode = '-it' }
else { $mode = '-d' }

$switches += @( '-ContainerHost', $containerHost )
if ($Interactive) { $switches += '-Interactive' }
if ($Recovery) { $switches += '-Recovery' }
if ($withLogs) { $switches += '-WithLogs' }

# Delete the existing container.
# To automatically delete the container when finished, comment this out and add --rm.
if (docker ps --all --filter "name=$name" --quiet) {
    docker container stop $name
    docker container rm $name
}

docker run --name $name --publish 3990:3990 --publish 3991:3991 --publish 3992:3992 --publish 8080:8080 $mode $image -Server -Station @switches
