[CmdLetBinding()]
param
(
    # If .\all.run.ps1 -Interactive is called, the interactive console will be launched inside the container
    [switch] $Interactive,

    # Same, but without any preparations
    [switch] $Recovery
)

$ErrorActionPreference = 'Stop'

$name = "frs14ps"
$image = "frs14ps"
$withLogs = $false
$containerHost = $env:COMPUTERNAME
$switches = @()

#To automatically add the station from the container, uncomment the following lines and specify Chief Administrator's password and Server Manager location
#$serverLocation = 'Server Manager IP or hostname'
#$ChiefAdminPassword = 'Chief Administrator's password'

if ($Interactive -or $Recovery) { $mode = '-it' }
else { $mode = '-d' }

$switches += @( '-ContainerHost', $containerHost )
if ($Interactive) { $switches += '-Interactive' }
if ($Recovery) { $switches += '-Recovery' }
if ($withLogs) { $switches += '-WithLogs' }
if ($serverLocation) { $switches += '-serverLocation', $serverLocation}
if ($ChiefAdminPassword) { $switches += '-ChiefAdminPassword', $ChiefAdminPassword}

# Delete the existing container.
# To automatically delete the container when finished, comment this out and add --rm.
if (docker ps --all --filter "name=$name" --quiet) {
    docker container stop $name
    docker container rm $name
}

docker run --name $name --publish 3990:3990 $mode $image -Station @switches